com.amazon.redshift.plugin

## Class AzureCredentialsProvider

- java.lang.Object
- - com.amazon.redshift.plugin.SamlCredentialsProvider
  - - com.amazon.redshift.plugin.AzureCredentialsProvider

All Implemented Interfaces:
  IPlugin

    public class AzureCredentialsProvider
    extends SamlCredentialsProvider

Class to get SAML Response from Microsoft Azure using OAuth 2.0 API

### Field Summary

### Fields inherited from class com.amazon.redshift.plugin.SamlCredentialsProvider

`KEY_IDP_HOST, m_autoCreate, m_dbGroups, m_dbGroupsFilter, m_dbUser, m_disableCache, m_duration, m_forceLowercase, m_idpHost, m_idpPort, m_log, m_password, m_preferredRole, m_region, m_sslInsecure, m_stsEndpoint, m_userName`

### Constructor Summary

Constructors
Constructor and Description
`AzureCredentialsProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addParameter(String key, String value)` Overwritten method to grab the field parameters from JDBC connection string.
`String` `getPluginSpecificCacheKey()`
`protected String` `getSamlAssertion()` Required method to grab the SAML Response.

### Methods inherited from class com.amazon.redshift.plugin.SamlCredentialsProvider

`checkRequiredParameters, escapeHtmlEntity, getCredentials, getFormAction, getHttpClient, getInputTagsfromHTML, getValueByKey, isPassword, isText, refresh, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AzureCredentialsProvider

    public AzureCredentialsProvider()

### Method Detail

#### getSamlAssertion

    protected String getSamlAssertion()
                               throws IOException

Required method to grab the SAML Response. Used in base class to refresh temporary credentials.

Specified by:
  `getSamlAssertion` in class `SamlCredentialsProvider`
Returns:
  Base64 encoded SAML Response string
Throws:
  `IOException` - throws error when missing required parameters or unable to access IDP host.

#### addParameter

    public void addParameter(String key,
                             String value)

Overwritten method to grab the field parameters from JDBC connection string. This method calls the base class addParamter method and adds to it Azure specific parameters.

Specified by:
  `addParameter` in interface `IPlugin`
Overrides:
  `addParameter` in class `SamlCredentialsProvider`
Parameters:
  `key` - parameter key passed to JDBC
  `value` - paramter value associated with the given key

#### getPluginSpecificCacheKey

    public String getPluginSpecificCacheKey()

Specified by:
  `getPluginSpecificCacheKey` in interface `IPlugin`
Overrides:
  `getPluginSpecificCacheKey` in class `SamlCredentialsProvider`